Skip to main content
GET
/
api
/
v2
/
attack-paths
/
details
Get all attack path findings
curl --request GET \
  --url https://your-tenant.bloodhoundenterprise.io/api/v2/attack-paths/details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://your-tenant.bloodhoundenterprise.io/api/v2/attack-paths/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/attack-paths/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "findings": [
    {
      "target_id": "<string>",
      "target_kind": "<string>",
      "target_properties": {},
      "finding_name": "<string>",
      "environment_id": {},
      "impact_percentage": 123,
      "impact_count": 123,
      "accepted_until": 123,
      "asset_group": "<string>"
    }
  ],
  "finding_assets": {}
}
{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}
{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}
{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}
{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}
{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}
Applies to BloodHound Enterprise only

Authorizations

Authorization
string
header
required

Authorization: Bearer $JWT_TOKEN

Headers

Prefer
string
default:wait=30

Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.

Pattern: ^wait=(-1|[0-9]+)$

Response

OK

findings
object[]
required

List of unified findings.

finding_assets
object
required

Directory structure of Base64 encoded assets related to each finding organized by finding name.